diff --git a/libRTI/ieee1516-2010/RTIambassadorImplementation.h b/libRTI/ieee1516-2010/RTIambassadorImplementation.h
index dec9e95c..1bb9ba66 100644
--- a/libRTI/ieee1516-2010/RTIambassadorImplementation.h
+++ b/libRTI/ieee1516-2010/RTIambassadorImplementation.h
@@ -1529,11 +702,10 @@ private:
     *  single callback.
     *  @return true if additional callbacks pending, false otherwise
     */
-    bool __tick_kernel(bool multiple, TickTime minimum, TickTime maximum) throw(
-        rti1516e::SpecifiedSaveLabelDoesNotExist, rti1516e::NotConnected, rti1516e::RTIinternalError);
+    bool __tick_kernel(bool multiple, TickTime minimum, TickTime maximum);
 
     friend std::auto_ptr<rti1516e::RTIambassador>
-    rti1516e::RTIambassadorFactory::createRTIambassador() throw(rti1516e::RTIinternalError);
+    rti1516e::RTIambassadorFactory::createRTIambassador();
 };
 }
 
diff --git a/libRTI/ieee1516-2010/RTIfedAmbassador.cpp b/libRTI/ieee1516-2010/RTIfedAmbassador.cpp
index 18c341d4..31ab4b96 100644
--- a/libRTI/ieee1516-2010/RTIfedAmbassador.cpp
+++ b/libRTI/ieee1516-2010/RTIfedAmbassador.cpp
@@ -23,10 +23,10 @@
 #include <RTI/FederateAmbassador.h>
 #include <RTI/NullFederateAmbassador.h>
 
-rti1516e::FederateAmbassador::FederateAmbassador() throw (FederateInternalError)
+rti1516e::FederateAmbassador::FederateAmbassador()
 {
 }
 
-rti1516e::FederateAmbassador::~FederateAmbassador() throw()
+rti1516e::FederateAmbassador::~FederateAmbassador() noexcept
 {
 }
diff --git a/test/Billard/Billard.cc b/test/Billard/Billard.cc
index 15bb60de..ddccff32 100644
--- a/test/Billard/Billard.cc
+++ b/test/Billard/Billard.cc
@@ -72,7 +72,7 @@ Billard::Billard(std::string federate_name)
 // ----------------------------------------------------------------------------
 /** Destructor
  */
-Billard::~Billard() throw(RTI::FederateInternalError)
+Billard::~Billard()
 {
 }
 
@@ -721,9 +721,7 @@ RTI::ObjectHandle Billard::registerBallInstance(const char* s)
  */
 void Billard::discoverObjectInstance(RTI::ObjectHandle theObject,
                                      RTI::ObjectClassHandle theObjectClass,
-                                     const char* /*theObjectName*/) throw(RTI::CouldNotDiscover,
-                                                                          RTI::ObjectClassNotKnown,
-                                                                          RTI::FederateInternalError)
+                                     const char* /*theObjectName*/)
 {
     if (theObjectClass != BilleClassID) {
         Debug(D, pdError) << "Object of Unknown Class discovered." << std::endl;
@@ -748,7 +746,7 @@ void Billard::discoverObjectInstance(RTI::ObjectHandle theObject,
 // ----------------------------------------------------------------------------
 /** Callback announce synchronization point
  */
-void Billard::announceSynchronizationPoint(const char* label, const char* /*tag*/) throw(RTI::FederateInternalError)
+void Billard::announceSynchronizationPoint(const char* label, const char* /*tag*/)
 {
     if (strcmp(label, "Init") == 0) {
         paused = true;
@@ -770,7 +768,7 @@ void Billard::announceSynchronizationPoint(const char* label, const char* /*tag*
 // ----------------------------------------------------------------------------
 /** Callback : federation synchronized
  */
-void Billard::federationSynchronized(const char* label) throw(RTI::FederateInternalError)
+void Billard::federationSynchronized(const char* label)
 {
     if (strcmp(label, "Init") == 0) {
         paused = false;
@@ -785,10 +783,7 @@ void Billard::receiveInteraction(RTI::InteractionClassHandle theInteraction,
                                  const RTI::ParameterHandleValuePairSet& theParameters,
                                  const RTI::FedTime& /*theTime*/,
                                  const char* /*theTag*/,
-                                 RTI::EventRetractionHandle /*theHandle*/) throw(RTI::InteractionClassNotKnown,
-                                                                                 RTI::InteractionParameterNotKnown,
-                                                                                 RTI::InvalidFederationTime,
-                                                                                 RTI::FederateInternalError)
+                                 RTI::EventRetractionHandle /*theHandle*/)
 {
     libhla::MessageBuffer buffer;
     RTI::ULong valueLength;
@@ -850,10 +845,7 @@ void Billard::reflectAttributeValues(RTI::ObjectHandle theObject,
                                      const RTI::AttributeHandleValuePairSet& theAttributes,
                                      const RTI::FedTime& /*theTime*/,
                                      const char* /*theTag*/,
-                                     RTI::EventRetractionHandle /*theHandle*/) throw(RTI::ObjectNotKnown,
-                                                                                     RTI::AttributeNotKnown,
-                                                                                     RTI::InvalidFederationTime,
-                                                                                     RTI::FederateInternalError)
+                                     RTI::EventRetractionHandle /*theHandle*/)
 {
     Debug(D, pdTrace) << "reflectAttributeValues with time" << std::endl;
 
@@ -913,9 +905,7 @@ void Billard::reflectAttributeValues(RTI::ObjectHandle theObject,
  */
 void Billard::reflectAttributeValues(RTI::ObjectHandle theObject,
                                      const RTI::AttributeHandleValuePairSet& theAttributes,
-                                     const char* /*theTag*/) throw(RTI::ObjectNotKnown,
-                                                                   RTI::AttributeNotKnown,
-                                                                   RTI::FederateInternalError)
+                                     const char* /*theTag*/)
 {
     Debug(D, pdTrace) << "reflectAttributeValues without time" << std::endl;
 
@@ -974,9 +964,7 @@ void Billard::reflectAttributeValues(RTI::ObjectHandle theObject,
 void Billard::removeObjectInstance(RTI::ObjectHandle theObject,
                                    const RTI::FedTime&,
                                    const char*,
-                                   RTI::EventRetractionHandle) throw(RTI::ObjectNotKnown,
-                                                                     RTI::InvalidFederationTime,
-                                                                     RTI::FederateInternalError)
+                                   RTI::EventRetractionHandle)
 {
     vector<Ball>::iterator it;
 
@@ -992,9 +980,7 @@ void Billard::removeObjectInstance(RTI::ObjectHandle theObject,
 // ----------------------------------------------------------------------------
 /** Callback : time advance granted
  */
-void Billard::timeAdvanceGrant(const RTI::FedTime& theTime) throw(RTI::InvalidFederationTime,
-                                                                  RTI::TimeAdvanceWasNotInProgress,
-                                                                  RTI::FederateInternalError)
+void Billard::timeAdvanceGrant(const RTI::FedTime& theTime)
 {
     granted = true;
     localTime = theTime;
diff --git a/test/Billard/Billard.hh b/test/Billard/Billard.hh
index adb189c6..d31d53ef 100644
--- a/test/Billard/Billard.hh
+++ b/test/Billard/Billard.hh
@@ -67,7 +67,7 @@ class Billard : public NullFederateAmbassador
 public:
 
     Billard(std::string);
-    virtual ~Billard() throw (RTI::FederateInternalError);
+    virtual ~Billard();
 
     void init(int);
     void init(int, int);
@@ -89,54 +89,39 @@ public:
     RTI::FederateHandle getHandle() const ;
 
     // Callbacks
-    void announceSynchronizationPoint(const char *label, const char *tag)
-        throw (RTI::FederateInternalError);
+    void announceSynchronizationPoint(const char *label, const char *tag);
 
-    void federationSynchronized(const char *label)
-        throw (RTI::FederateInternalError);
+    void federationSynchronized(const char *label);
 
-    void timeAdvanceGrant(const RTI::FedTime& theTime)
-        throw (RTI::FederateInternalError, RTI::TimeAdvanceWasNotInProgress, 
-	       RTI::InvalidFederationTime);
+    void timeAdvanceGrant(const RTI::FedTime& theTime);
 
     void discoverObjectInstance(RTI::ObjectHandle theObject,
                                 RTI::ObjectClassHandle theObjectClass,
-                                const char *theObjectName)
-        throw (RTI::FederateInternalError, RTI::ObjectClassNotKnown, RTI::CouldNotDiscover);
+                                const char *theObjectName);
 
     void reflectAttributeValues(RTI::ObjectHandle theObject,
                                 const RTI::AttributeHandleValuePairSet& theAttributes,
                                 const RTI::FedTime& theTime, const char *theTag,
-                                RTI::EventRetractionHandle theHandle)
-        throw (RTI::ObjectNotKnown, RTI::AttributeNotKnown,
-	       RTI::InvalidFederationTime, RTI::FederateInternalError);
+                                RTI::EventRetractionHandle theHandle);
 
     void reflectAttributeValues(RTI::ObjectHandle,
                                 const RTI::AttributeHandleValuePairSet &,
-                                const char *)
-        throw (RTI::ObjectNotKnown, RTI::AttributeNotKnown,
-	       RTI::FederateInternalError);
+                                const char *);
 
     void receiveInteraction(RTI::InteractionClassHandle theInteraction,
                             const RTI::ParameterHandleValuePairSet& theParameters,
                             const RTI::FedTime& theTime, const char *theTag,
-                            RTI::EventRetractionHandle theHandle)
-        throw (RTI::InteractionClassNotKnown, RTI::InteractionParameterNotKnown,
-               RTI::InvalidFederationTime, RTI::FederateInternalError);
+                            RTI::EventRetractionHandle theHandle);
 
     void receiveInteraction(RTI::InteractionClassHandle,
                             const RTI::ParameterHandleValuePairSet &,
-                            const char *)
-        throw (RTI::InteractionClassNotKnown, RTI::InteractionParameterNotKnown,
-	       RTI::FederateInternalError) { };
+                            const char *) { };
 
     void removeObjectInstance(RTI::ObjectHandle theObject, const RTI::FedTime& theTime,
 			      const char *theTag,
-			      RTI::EventRetractionHandle theHandle)
-	throw (RTI::ObjectNotKnown, RTI::InvalidFederationTime, RTI::FederateInternalError);
+                  RTI::EventRetractionHandle theHandle);
 
-    void removeObjectInstance(RTI::ObjectHandle, const char *)
-	throw (RTI::ObjectNotKnown, RTI::FederateInternalError) { };
+    void removeObjectInstance(RTI::ObjectHandle, const char *) { };
 
     RTI::ObjectHandle registerBallInstance(const char *);
 
diff --git a/test/Billard/BillardDDM.hh b/test/Billard/BillardDDM.hh
index 62112b7b..b0044850 100644
--- a/test/Billard/BillardDDM.hh
+++ b/test/Billard/BillardDDM.hh
@@ -29,7 +29,7 @@ class BillardStaticDDM : public Billard
 {
 public:
     BillardStaticDDM(std::string);
-    virtual ~BillardStaticDDM() throw (RTI::FederateInternalError) { };
+    virtual ~BillardStaticDDM() { };
 
     virtual void checkRegions();
     virtual void declare();
@@ -51,7 +51,7 @@ class BillardDynamicDDM : public Billard
 {
 public:
     BillardDynamicDDM(std::string);
-    virtual ~BillardDynamicDDM() throw (RTI::FederateInternalError) { };
+    virtual ~BillardDynamicDDM() { };
 
     virtual void checkRegions();
     virtual void declare();
diff --git a/test/TimeMaster/main.cc b/test/TimeMaster/main.cc
index 0c53d26d..5d0d08cf 100644
--- a/test/TimeMaster/main.cc
+++ b/test/TimeMaster/main.cc
@@ -48,13 +48,13 @@ public:
 
     RTI1516fedTime last_time{0.0};
 
-    void timeConstrainedEnabled(const LogicalTime& theFederateTime) throw(FederateInternalError) override
+    void timeConstrainedEnabled(const LogicalTime& theFederateTime) override
     {
         is_constrained = true;
         last_time = theFederateTime;
     }
 
-    void timeRegulationEnabled(const LogicalTime& theFederateTime) throw(FederateInternalError) override
+    void timeRegulationEnabled(const LogicalTime& theFederateTime) override
     {
         is_regulator = true;
         last_time = theFederateTime;
@@ -62,13 +62,13 @@ public:
 
     void
     announceSynchronizationPoint(const std::wstring& label,
-                                 const VariableLengthData& /*theUserSuppliedTag*/) throw(FederateInternalError) override
+                                 const VariableLengthData& /*theUserSuppliedTag*/) override
     {
         wcout << "Received synchronization point <" << label << ">, auto achieve" << endl;
         ambassador->synchronizationPointAchieved(label, true);
     }
 
-    void timeAdvanceGrant(const LogicalTime& theTime) throw(FederateInternalError) override
+    void timeAdvanceGrant(const LogicalTime& theTime) override
     {
         is_granted = true;
         last_time = theTime;
